package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 销售商品明细表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglXsmxSpmxSalesdetailinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglXsmxSpmxSalesdetailinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxSpmxSalesdetailinfoMapper.addSXsglXsmxSpmxSalesdetailinfo", pd);
    }

    public List<PageData> findSXsglXsmxSpmxSalesdetailinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglXsmxSpmxSalesdetailinfoMapper.selectSXsglXsmxSpmxSalesdetailinfoList", pd);
    }

    public Integer SXsglXsmxSpmxSalesdetailinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglXsmxSpmxSalesdetailinfoMapper.SXsglXsmxSpmxSalesdetailinfoRemove", pd);
    }


    public Integer updateSXsglXsmxSpmxSalesdetailinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglXsmxSpmxSalesdetailinfoMapper.updateSXsglXsmxSpmxSalesdetailinfo", pd);
    }

}
